> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Slack Connections

`GET https://app.pagerduty.com/integration-slack/workspaces/{slack_team_id}/connections`

Returns a list of Slack Connections.

> **Note:** For accounts using the New Slack Configuration, the `config.urgency` and `config.priorities` fields reflect the values last written through the REST API. If the connection's channel conditions were subsequently modified through the Slack web UI, those changes will not be reflected in these fields.

> ### Important
>
>  Ensure you are using a User API Token or a User OAuth Token to make requests to this API. Also, check that your user has necessary
>  permissions (Owner or Global Admin). See https://developer.pagerduty.com/docs/rest-api-v2/authentication/ for the
>  details.

Scoped OAuth requires: `users.read incidents.read`

## Authorization

- **apiKey** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`
- **bearerAuth** (http) — HTTP bearer. The Bearer access token with format `Bearer <BEARER TOKEN>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `slack_team_id` | string | yes | Slack team (workspace) id. |

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | Set the maximum number of results matched by the query. Default: `50`. Minimum: 1. Maximum: 100. |
| `offset` | integer |  | The number of items to skip before starting to collect the result set. Default: `0`. Minimum: 0. |

## Response 200

A set of Slack Connections matching the request.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `slack_connections` | array of object | yes |  |
| `slack_connections[].id` | string |  |  |
| `slack_connections[].source_id` | string |  |  |
| `slack_connections[].source_name` | string |  |  |
| `slack_connections[].source_type` | string |  | Configuration item of the Slack connection that indicates what PagerDuty source would be used for the connection (can be Service or Team). One of: `service_reference`, `team_reference`. |
| `slack_connections[].channel_id` | string |  |  |
| `slack_connections[].channel_name` | string |  |  |
| `slack_connections[].notification_type` | string |  | Configuration item of the Slack connection that indicates how Slack message will be formatted (can be `responder` or `stakeholder`) One of: `responder`, `stakeholder`. Default: `responder`. |
| `slack_connections[].config` | object |  | Item of the Slack connection that contains configuration options (filters). |
| `slack_connections[].config.events` | array of string |  | Configuration item of the Slack connection allows you to subscribe to different type of events. |
| `slack_connections[].config.urgency` | string \| null |  | Configuration item of the Slack connection allows you to filter events by urgency. One of: `high`, `low`, `null`. |
| `slack_connections[].config.priorities` | array \| null |  | Configuration item of the Slack connection that allows you to filter events by priorities. If set to 'null', the connection accepts events of any priority, including those without a specified priority. If set to an empty array, only events without a specific priority are allowed. Otherwise, event filtering adheres to the specific priority codes provided in the array, and the special code 'no_priority' can also be included in the array. |
| `offset` | integer | yes | Echoes offset pagination property. Read-only. Default: `0`. |
| `limit` | integer | yes | Echoes limit pagination property. Read-only. Default: `50`. Minimum: 0. Maximum: 100. |
| `more` | boolean | yes | Indicates if there are additional records to return. Read-only. Default: `false`. |
| `total` | integer | yes | The total number of records matching the given query. Read-only. Default: `null`. |

Example: Response Example

```json
{
  "slack_connections": [
    {
      "id": "A12BCDE",
      "source_id": "A1234B5",
      "source_name": "test_team",
      "source_type": "team_reference",
      "channel_id": "A123B456C7D",
      "channel_name": "random",
      "notification_type": "responder",
      "config": {
        "events": [
          "incident.triggered",
          "incident.acknowledged",
          "incident.escalated",
          "incident.resolved",
          "incident.reassigned",
          "incident.annotated",
          "incident.unacknowledged",
          "incident.delegated",
          "incident.priority_updated",
          "incident.responder.added",
          "incident.responder.replied",
          "incident.status_update_published"
        ],
        "priorities": [
          "ABCDEF1",
          "AB1CDE2"
        ],
        "urgency": null
      }
    }
  ],
  "limit": 1,
  "offset": 0,
  "more": true,
  "total": 99
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object | yes |  |
| `error.message` | string | yes | Error message string. Read-only. |

Example: Unauthorized

```json
{
  "error": {
    "message": "Unauthorized"
  }
}
```

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object | yes |  |
| `error.message` | string | yes | Error message string. Read-only. |

Example: Forbidden

```json
{
  "error": {
    "message": "Forbidden"
  }
}
```

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object | yes |  |
| `error.message` | string | yes | Error message string. Read-only. |

Example: Not Found

```json
{
  "error": {
    "message": "Not Found"
  }
}
```

Example: Invalid Workspace

```json
{
  "error": {
    "message": "The PagerDuty has not been connected to this workspace. Please complete the installation and try again."
  }
}
```

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
